#include "xfxelemvisstatesample.h"

XFxElemVisStateSample::XFxElemVisStateSample()
    : XAsset()
    , mBase()
    , mAmplitude()
{
    
}

XFxElemVisStateSample::~XFxElemVisStateSample()
{
    
}

void XFxElemVisStateSample::Clear()
{
    mBase.Clear();
    mAmplitude.Clear();
}

void XFxElemVisStateSample::ParseData(QDataStream *aStream)
{
    mBase.ParseData(aStream);
    mAmplitude.ParseData(aStream);
}
